Class | Fog::Compute::Clodo::Server
In: | lib/fog/clodo/models/compute/server.rb
Parent: | Fog::Model

### Methods

add_ip_address delete_ip_address destroy image move_ip_address new password private_ip_address private_key private_key_path public_ip_address public_key public_key_path ready? reboot save scp setup ssh username

### Attributes

private_key | [W] |
private_key_path | [W] |
public_key | [W] |
public_key_path | [W] |
username | [W] |

### Public Class methods

new(attributes={})

### Public Instance methods

add_ip_address()
delete_ip_address(ip_address)
destroy()
image()
move_ip_address(ip_address)
password()
private_ip_address()
private_key()
private_key_path()
public_ip_address()
public_key()
public_key_path()
ready?()
reboot(type = 'SOFT')
save()
scp(local_path, remote_path, upload_options = {})
setup(credentials = {})
ssh(commands)
username()

[Validate]